[Overview][Types][Classes][Index] | Reference for unit 'LCLMemManager' (#lcl)

# TLCLNonFreeMemManager.NewItem

Gets a Pointer to a new item in the list.

## Declaration

Source position: lclmemmanager.pas line 83

`public function TLCLNonFreeMemManager.NewItem: Pointer;`

## Function result

Pointer to the item added to the internal list.

## See also

TLCLNonFreeMemManager.ClearOnCreate |  | Public member used to control zero-filling memory allocated for items.
TLCLNonFreeMemManager.ItemSize |  | Size of the memory allocated for each item in the list.